Unassign document
DELETE
https://app.sulus.ai/api/v1/kb/article-assign/{id}
Remove one assignment
Authentication
Send a bearer token created on your dashboard's Developer page:
Authorization: Bearer <YOUR_API_KEY>
Path parameters
id
string
Required
The assignment to remove (not the document or assistant id).
Validation:
the assignment's UUIDStored in
knowledge_article_assignments.idErrors
| Status | Meaning | Body |
|---|---|---|
404 |
Assignment not found | {"message":"No query results for model [App\\Models\\KnowledgeArticleAssignment] <id>."} |
403 |
Policy denied — outside your organization, or you cannot write to this resource | {"message":"This action is unauthorized."} |
401 |
Missing or invalid bearer token | |
403 |
Feature knowledge_docs not enabled for the account |
Notes
- Requires view access to the assigned document. The target assistant's document-search capability is re-synced immediately after removal.
curl --request DELETE \
--url https://app.sulus.ai/api/v1/kb/article-assign/{id} \
--header 'Authorization: Bearer <YOUR_API_KEY>'
import requests
url = "https://app.sulus.ai/api/v1/kb/article-assign/{id}"
headers = {"Authorization": "Bearer <YOUR_API_KEY>"}
response = requests.delete(url, headers=headers)
print(response.json())
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
url := "https://app.sulus.ai/api/v1/kb/article-assign/{id}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <YOUR_API_KEY>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Response
200
{
"message": "Unassigned"
}
Response — DELETE
/article-assign/{id}
200
{
"message": "Unassigned"
}